/*
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details:
 *
 *  http://www.gnu.org/copyleft/gpl.txt
 */

#include "shared.h"

/*------------------------------------------------------------------------*/

/* Runtime config data */
rc_data_t rc_data;

/* ifft in/out buffers */
int
  *ifft_in_r  = NULL,
  *ifft_out_r = NULL,
  *ifft_out_i = NULL;

/* Global widgets */
GtkWidget
  *main_window = NULL,
  *popup_menu  = NULL,
  *scope	   = NULL,
  *scope_label = NULL,
  *xmit_status = NULL,
  *rcve_status = NULL,
  *rx_scrolledwindow = NULL,
  *tx_scrolledwindow = NULL;

/* Builder objects for main window and menu */
GtkBuilder
  *main_window_builder = NULL,
  *popup_menu_builder  = NULL;

/* Average value of IFFT bins */
int *bin_ave = NULL;

/* Text buffers for text viewers */
GtkTextBuffer
  *rx_text_buffer = NULL,
  *tx_text_buffer = NULL;

/* Pixbuffer for waterfall */
GdkPixbuf *wfall_pixbuf = NULL;
guchar    *wfall_pixels = NULL;
gint
  wfall_rowstride,
  wfall_n_channels,
  wfall_width,
  wfall_height;

FILE
  /* File for recording QSO's */
  *qso_record_fp,
  /* File for ADIF QSO record */
  *adif_log_fp,
  /* File for station log */
  *station_log_fp;

/* QSO data record */
qso_record_t qso_record;

/* Index to macros */
int macro_idx;

/* Keyboard entry buffer */
guint key_buff[KEY_BUFF_SIZE];

/* Keystrokes counter */
int key_cnt = 0;

/* Count characters entered at keyboard */
int char_cnt = 0;

/* Receive freq error correction factor */
double freq_error = 0.0;

/* Macros attached to F1-F10  */
char *macro[NUM_OF_LABELS];

/* IFFT data buffer*/
int16_t
  *ifft_data = NULL,
  ifft_data_length = 0;

/* Signal samples buffer */
unsigned char *dsp_buff = NULL;

/* Xmit DSP signal samples buffer */
short *xmit_buffer = NULL;

/* Xmit DSP signal samples buffer size */
int xmit_buf_size;

/*------------------------------------------------------------------------*/

